// Gadget to screw to a board to hold a 1/4-20 nut for an improvised leveler

include <hexnut.scad>

module q20_trap() {
   difference() {
      union() {
         cylinder(r=16/2,h=q20nut_thick+2,$fn=64);
         translate([-16/2,-16,0])
            cube([16,2*16,2]);
      }
      translate([0,0,(q20nut_thick+5)+2])
         hexnut(q20nut_flat+0.4,q20nut_thick+5);
      translate([0,4-16,-1])
         cylinder(r=3.5/2,h=4,$fn=64);
      translate([0,16-4,-1])
         cylinder(r=3.5/2,h=4,$fn=64);
      translate([0,0,-1])
         cylinder(r=((25.4/4)+0.4)/2,h=4,$fn=64);
   }
}

q20_trap();
