// Just a simple stick with a nut trap on the end for holding nuts where
// my fingers can't reach.

include <hexnut.scad>

//m3nut_thick=2.47;
//m3nut_flat=5.44;

module nut_tool() {
   translate([0,0,m3nut_flat+2])
   rotate([180,0,0])
   difference() {
      cube([60,m3nut_thick+3,m3nut_flat+4]);
      translate([7,2,(m3nut_flat+4)/2])
         rotate([90,0,0])
            union() {
               hexnut(m3nut_flat+0.3, m3nut_thick+3);
               translate([0,0,-5])
                  cylinder(r=3.4/2,h=10,$fn=64);
            }
      translate([12,-0.01,-1])
         cube([60,3.01,m3nut_flat+6]);
      translate([12,0,-3])
         cube([60,m3nut_thick+5,1+(m3nut_flat+4)/2]);
      translate([-1,-1,m3nut_flat+2])
         cube([62,m3nut_thick+7,3]);
   }
}

nut_tool();
