// Utility module for generating a plate with rounded corners
module rounded_corner_plate(x,y,z,rad) {
   xm=x-2*rad;
   ym=y-2*rad;
   union() {
      translate([-xm/2,-y/2,0])
         cube([xm,y,z]);
      translate([-x/2,-ym/2,0])
         cube([x,ym,z]);
      translate([-xm/2,-ym/2,0])
         cylinder(r=rad,h=z,$fn=64);
      translate([-xm/2,ym/2,0])
         cylinder(r=rad,h=z,$fn=64);
      translate([xm/2,-ym/2,0])
         cylinder(r=rad,h=z,$fn=64);
      translate([xm/2,ym/2,0])
         cylinder(r=rad,h=z,$fn=64);
   }
}
