// Utility routine to create a slot shape with rounded ends

module rounded_slot(len,dia,thick) {
   union() {
      translate([-dia/2,-len/2,0])
         cube([dia,len,thick]);
      translate([0,len/2,0])
         cylinder(r=dia/2,h=thick,$fn=64);
      translate([0,-len/2,0])
         cylinder(r=dia/2,h=thick,$fn=64);
   }
}
