include <carriages.scad>

// The X carriage also needs 4 belt wedges and a left and right sliding block.
// Put them all together into one stl.

union() {
   x_carriage(do_top=true);
   translate([2,32,0])
      toothed_wedge();
   translate([17,32,0])
      toothed_wedge();
   translate([-(2+wedge_len),32,0])
      toothed_wedge();
   translate([-(17+wedge_len),32,0])
      toothed_wedge();
   translate([-2,-35,0])
      sliding_belt_block(do_right=true);
   translate([2,-35,0])
      sliding_belt_block(do_right=false);
}
